- [HTTP request](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#body.aspect)
- [IAM Permissions](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#body.aspect_1)
- [Examples](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch#try-it)

Updates the data types for an existing user subscription.

### HTTP request

`PATCH https://health.googleapis.com/v4/{subscription.name=projects/*/subscribers/*/subscriptions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `subscription.name` | `string` Identifier. The resource name of the Subscription. Format: `projects/{project}/subscribers/{subscriber}/subscriptions/{subscription}` Example: `projects/my-project/subscribers/my-subscriber-123/subscriptions/my-subscription-456` The {project} ID is mandatory (6-30 characters, matching /\[a-z\]\[a-z0-9-\]{6,30}/) The {subscriber} ID is user-settable (4-36 characters, matching /[a-z](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/[a-z0-9-]{2,34}[a-z0-9])/) if provided during creation, or system-generated otherwise. The {subscription} ID is user-settable (4-36 chars, matching /[a-z](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/[a-z0-9-]{2,34}[a-z0-9])/) or system-generated otherwise. It takes the form `projects/{project}/subscribers/{subscriber}/subscriptions/{subscription}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/health/reference/rest/v4/Subscription`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/health/reference/rest/v4/Subscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `health.subscriptions.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).